angular.module('hemo.directives', [])

.directive('openLink', function() {
  return function(scope, element, attrs) {
    var url = attrs.openLink;
    element.bind('click', function() {
      var ref = window.open(url, '_blank', 'location=no,EnableViewPortScale=yes');
      ref.addEventListener('loadstart', function() {
        if (device.platform === "Android") {
          navigator.notification.activityStart("Loading...", "");
        }
      });
      ref.addEventListener('loadstop', function() {
        if (device.platform === "Android") {
          navigator.notification.activityStop();
        }
        var css = "#menu-utility, #menu-mobile, .sidebar {display: none}";
        ref.insertCSS({code: css});
      });
    });
  };
})

.directive('dynamic', function($compile) {
  return {
    restrict: 'E',
    link: function(scope, ele, attrs) {
      scope.$watch(attrs.dynamic, function() {
        ele.html(attrs.body);
        $compile(ele.contents())(scope);
      });
    }
  };
});
